"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUsedResources = void 0;
// 入口
function getUsedResources(
// 模版的应用内容
apps) {
    //  递归查询模版
    const allUsedResources = new Set();
    for (let app of apps) {
        getUsedResourcesFromAppRecursively(app, allUsedResources);
    }
    return Array.from(allUsedResources);
}
exports.getUsedResources = getUsedResources;
// 递归遍历模版，找到静态资源
function getUsedResourcesFromAppRecursively(app, allUsedResources) {
    for (let item of app.items) {
        let staticAttrs = item.extra && item.extra.staticResourceAttribute ? item.extra.staticResourceAttribute : [];
        // 判断是否存在静态资源属性
        if (staticAttrs.length) {
            for (let k of staticAttrs) {
                let val = item.attributes[k];
                // 判断是否是相对地址
                if (typeof val === 'string' && val.indexOf('/') === 0)
                    allUsedResources.add(val);
            }
        }
        if (item.items) {
            getUsedResourcesFromAppRecursively(item, allUsedResources);
        }
    }
}
