"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.publishVersion = void 0;
const __1 = require("..");
class PublishCompGroupVersionService extends __1.GracePublishService {
    constructor(info) {
        super(info);
    }
    async publishCompGroupVersion(comment, version) {
        var _a, _b, _c;
        const id = await this.validateComps();
        const methodName = await this.getApiName('PublishVersion');
        try {
            const res = await this.cloudService.request(methodName, {
                comGroupId: id,
                version,
                comment,
            });
            return res;
        }
        catch (err) {
            return {
                data: { code: 400, msg: (_c = (_b = (_a = err === null || err === void 0 ? void 0 : err.original) === null || _a === void 0 ? void 0 : _a.Message) !== null && _b !== void 0 ? _b : err) !== null && _c !== void 0 ? _c : '未知错误' },
                requestId: err.requestId,
            };
        }
    }
}
async function publishVersion(info, comment, version) {
    const service = new PublishCompGroupVersionService(info);
    return await service.publishCompGroupVersion(comment, version);
}
exports.publishVersion = publishVersion;
