import { RuleSetUseItem } from 'webpack';
/**
 * 获取 CSS 文件相关 loader 配置
 *
 * 1. 正常情况下，使用 css-loader 和 ExtractCssChunks 来抽离样式文件
 * 2. 在将组件库源码构建为 npm 包时，为了充分利用 TreeShaking 功能，使用 tsc 来构建TS和JS文件
 * js文件中依赖的 css/less/sass 等文件采取只编译不 Pack 的方式，采取原位替换内容的方式输出
 * 此时会将环境变量为 LOWCODE_CLI_CSS_TRANSPILE_ONLY 设置为 true
 * @returns RuleSetUse
 */
export declare function getCssLoader(): RuleSetUseItem[];
//# sourceMappingURL=get-css-loader.d.ts.map