"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const promises_1 = require("fs/promises");
const fs_extra_1 = require("fs-extra");
/**
 * 样式文件抽离，并保留原始的目录结构和文件名并输出
 * 配合 css-loader 、extract-loader、url-loader 可将css中依赖的图片内联处理
 * @param source
 * @returns
 */
function default_1(source) {
    var _a;
    const callback = this.async();
    const outDir = ((_a = this.options) === null || _a === void 0 ? void 0 : _a.outDir) || 'dist';
    const relativePath = path_1.default.relative(this.rootContext, this.resourcePath);
    const handleSource = async () => {
        // workspace 以及node_modules中的样式文件不处理
        if (!relativePath.startsWith('../') && !relativePath.includes('node_modules')) {
            const outputFile = path_1.default.resolve(this.rootContext, outDir, path_1.default.relative(path_1.default.resolve(this.rootContext, 'src'), relativePath));
            // 输出css文件
            await (0, fs_extra_1.ensureDir)(path_1.default.dirname(outputFile));
            await (0, promises_1.writeFile)(outputFile, source);
        }
    };
    handleSource()
        .then(() => {
        callback(null, source);
    })
        .catch((e) => {
        callback(e);
    });
}
exports.default = default_1;
