"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = __importDefault(require("lodash"));
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
const mime_types_1 = __importDefault(require("mime-types"));
/**
 * 图片转base64 loader
 * @param source
 * @returns
 */
function default_1(source) {
    const value = typeof source === "string" ? JSON.parse(source) : source;
    const icon = lodash_1.default.get(value, 'meta.icon', '');
    const iconUrl = path_1.default.resolve(this.context, icon);
    if (icon && fs_1.default.existsSync(iconUrl)) {
        const mimeType = mime_types_1.default.lookup(lodash_1.default.last(icon.split('.'))); // 获取图片媒体类型
        const base64str = fs_1.default.readFileSync(iconUrl, 'base64');
        lodash_1.default.set(value, 'meta.icon', `data:${mimeType};base64,${base64str}`);
    }
    return JSON.stringify(value).replace(/\u2028/g, '\\u2028').replace(/\u2029/g, '\\u2029');
}
exports.default = default_1;
